Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 569990 - sys-kernel/genkernel-3.4.52.3 - Multiple "cat: read error: Invalid argument" errors on boot
Summary: sys-kernel/genkernel-3.4.52.3 - Multiple "cat: read error: Invalid argument" ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: genkernel (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Genkernel Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-28 15:58 UTC by Thomas Deutschmann
Modified: 2016-01-23 21:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
genkernel-3.4.52.3-cat-error.png (genkernel-3.4.52.3-cat-error.png,34.40 KB, image/png)
2015-12-28 15:58 UTC, Thomas Deutschmann
Details
genkernel-3.4.52.3-cat-error-debug.png (genkernel-3.4.52.3-cat-error-debug.png,17.07 KB, image/png)
2015-12-28 15:58 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2015-12-28 15:58:12 UTC
Created attachment 421002 [details]
genkernel-3.4.52.3-cat-error.png

Hi,

looks like https://gitweb.gentoo.org/proj/genkernel.git/commit/?id=876782989c5bc190ecc37faad40b2c2adc544c12 doesn't work on my system. When booting with the new initramfs from sys-kernel/genkernel-3.4.52.3 I am seeing

[genkernel-3.4.52.3-cat-error.png]

I added "set -x" to the new script, that's the code causing the messages:

[genkernel-3.4.52.3-cat-error-debug.png]
Comment 1 Thomas Deutschmann gentoo-dev Security 2015-12-28 15:58:27 UTC
Created attachment 421004 [details]
genkernel-3.4.52.3-cat-error-debug.png
Comment 2 Thomas Deutschmann gentoo-dev Security 2015-12-28 16:00:35 UTC
# emerge --info                                                                                   [237/237]Portage 2.2.26 (python 3.4.3-final-0, default/linux/amd64/13.0, gcc-5.3.0, glibc-2.22-r1, 4.1.15-gentoo x86_64)
=================================================================
System uname: Linux-4.1.15-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.2
KiB Mem:     3058476 total,   2850156 free
KiB Swap:    1048572 total,   1048572 free
Timestamp of repository gentoo: Mon, 28 Dec 2015 09:15:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r1::gentoo, 3.4.3-r7::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69-r1::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r1::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            5.3.0::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r1::gentoo

ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=sandybridge -mtune=sandybridge"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-12-28 22:00:22 UTC
ryao:
is mdev/helpers/storage-device stock from upstream? link from where you got it?
It should be checked the exit code of "cat /sys/class/block/$DEV/device/vpd_pg83"
and hiding stderr as well.

I reproduced this on block devices where the media is not present (eg card readers).
[24:0:0:0]   disk    Generic  Ultra HS-SD/MMC  1.82  /dev/sdf 
[25:0:0:0]   disk    Generic  Ultra HS-SD/MMC  1.82  /dev/sdg 
[26:0:0:0]   disk    Generic- SD/MMC/MS/MSPRO  1.00  /dev/sdi
Comment 4 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2016-01-23 21:39:31 UTC
Fixed in Git, d81b2ed